Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty
Class ResourceCache.Content

    java.lang.Object
      org.mortbay.jetty.ResourceCache.Content

All Implemented Interfaces:
  HttpContent

Enclosing class:
  ResourceCache

    public class ResourceCache.Content

extends Object
implements HttpContent

MetaData associated with a context Resource.

Method Summary
`Buffer` | `getBuffer()`
`long` | `getContentLength()`
`Buffer` | `getContentType()`
`InputStream` | `getInputStream()`
`String` | `getKey()`
`Buffer` | `getLastModified()`
`Resource` | `getResource()`
`void` | `invalidate()`
`boolean` | `isCached()`
`void` | `release()`
`void` | `setBuffer(Buffer buffer)`
`void` | `setContentType(Buffer type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getKey

    public String getKey()

### isCached

    public boolean isCached()

### getResource

    public Resource getResource()

  Specified by:
    `getResource` in interface `HttpContent`

### invalidate

    public void invalidate()

### getLastModified

    public Buffer getLastModified()

  Specified by:
    `getLastModified` in interface `HttpContent`

### getContentType

    public Buffer getContentType()

  Specified by:
    `getContentType` in interface `HttpContent`

### setContentType

    public void setContentType(Buffer type)

### release

    public void release()

  Specified by:
    `release` in interface `HttpContent`

### getBuffer

    public Buffer getBuffer()

  Specified by:
    `getBuffer` in interface `HttpContent`

### setBuffer

    public void setBuffer(Buffer buffer)

### getContentLength

    public long getContentLength()

  Specified by:
    `getContentLength` in interface `HttpContent`

### getInputStream

    public InputStream getInputStream()
                               throws IOException

  Specified by:
    `getInputStream` in interface `HttpContent`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.